## org.apache.lucene.queryParser.standard.config
Class MultiFieldAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.MultiFieldAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, MultiFieldAttribute, org.apache.lucene.util.Attribute

    public class MultiFieldAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements MultiFieldAttribute

This attribute is used by `MultiFieldQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor to which fields the terms in the query should be expanded.

See Also:
  `MultiFieldAttribute`, Serialized Form

Constructor Summary
`MultiFieldAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`boolean` `equals(java.lang.Object other)`
`java.lang.CharSequence[]` `getFields()`
`int` `hashCode()`
`void` `setFields(java.lang.CharSequence[] fields)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiFieldAttributeImpl

    public MultiFieldAttributeImpl()

Method Detail

### setFields

    public void setFields(java.lang.CharSequence[] fields)

  Specified by:
    `setFields` in interface `MultiFieldAttribute`

### getFields

    public java.lang.CharSequence[] getFields()

  Specified by:
    `getFields` in interface `MultiFieldAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in class `org.apache.lucene.util.AttributeImpl`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `org.apache.lucene.util.AttributeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.